## ros-jazzy-executive-smach 3.0.3

=== debian/changelog ===
ros-jazzy-executive-smach (3.0.3-4bookworm) bookworm; urgency=high

  * Fix: Buildfarm issue https://github.com/ros/executive_smach/issues/111

 -- Isaac Saito <iisaac.saito@gmail.com>  Thu, 13 Jul 2023 16:00:00 -0000

ros-jazzy-executive-smach (3.0.2-4bookworm) bookworm; urgency=high

  * Fix #92 <https://github.com/ros/executive_smach/issues/92>

 -- Isaac Saito <iisaac.saito@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-jazzy-executive-smach (3.0.1-4bookworm) bookworm; urgency=high

  * Add license file.

 -- Isaac Saito <iisaac.saito@gmail.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-jazzy-executive-smach (3.0.0-4bookworm) bookworm; urgency=high

  * ROS2-ified. #101 <https://github.com/ros/executive_smach/issues/101>

 -- Isaac Saito <iisaac.saito@gmail.com>  Sun, 11 Jun 2023 16:00:00 -0000

ros-jazzy-executive-smach (2.5.1-4bookworm) bookworm; urgency=high



 -- Isaac Saito <iisaac.saito@gmail.com>  Tue, 14 Feb 2023 16:00:00 -0000

ros-jazzy-executive-smach (2.5.0-4bookworm) bookworm; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac Saito <iisaac.saito@gmail.com>  Wed, 13 May 2020 16:00:00 -0000

ros-jazzy-executive-smach (2.0.1-4bookworm) bookworm; urgency=high

  * [fix] SimpleActionState will wait forever for a missing ActionServer #41 <https://github.com/ros/executive_smach/pull/41>
  * [fix] monitor state callback args and adding unit test for monitor state that modifies userdata
  * [improve] Specify queue sizes for introspection publishers #31 <https://github.com/ros/executive_smach/pull/31>
  * [improve] make ServiceState more robust to termination while waiting for service #32 <https://github.com/ros/executive_smach/pull/32>
  * [build] make rostest in CMakeLists optional #45 <https://github.com/ros/executive_smach/pull/45>
  * change MonitorState and document its behavior
  * increment n_checks only *after* checking
    otherwise, setting max_checks=1 results in a MonitorState that returns the 'valid' outcome for any message
  * [test] adding test for actionlib timeout
  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren, Loy, Lukas Bulwahn, Nils Berg, contradict

 -- Isaac Saito <iisaac.saito@gmail.com>  Wed, 07 Jun 2017 16:00:00 -0000

ros-jazzy-executive-smach (2.0.0-4bookworm) bookworm; urgency=high



 -- Isaac Saito <iisaac.saito@gmail.com>  Wed, 16 Apr 2014 16:00:00 -0000

ros-jazzy-executive-smach (1.3.1-4bookworm) bookworm; urgency=high

  * adding changelogs

 -- Isaac Saito <iisaac.saito@gmail.com>  Sun, 21 Jul 2013 16:00:00 -0000
